C

Functions
rdwrapc220.ino File Reference

Go to the source code of this file.

## Functions
void | configModeOn ()
void | configModeOff ()
void | configPinInit ()
void | radioOn ()
void | radioOff ()
void | radioConfig (int s)
void | radioWriteCh (char x)
void | radioWrite (char x[])
void | radioPrintln (char x[])
void | radioPrint (char x[])
int | radioAvailable ()
int | radioRead ()

## Function Documentation

## ◆ configModeOff()

void configModeOff | ( |  | ) |

Definition at line 9 of file rdwrapc220.ino.

References SETPIN.

Referenced by beacons(), do_cmd(), loop(), radioOn(), setup(), and setupShield().

Here is the caller graph for this function:

## ◆ configModeOn()

void configModeOn | ( |  | ) |

Definition at line 2 of file rdwrapc220.ino.

References SETPIN.

Referenced by beacons(), do_cmd(), loop(), and radioOn().

Here is the caller graph for this function:

## ◆ configPinInit()

void configPinInit | ( |  | ) |

Definition at line 15 of file rdwrapc220.ino.

References SETPIN.

Referenced by setupShield().

Here is the caller graph for this function:

## ◆ radioAvailable()

int radioAvailable | ( |  | ) |

Definition at line 106 of file rdwrapc220.ino.

References apc220(), and shieldID.

Referenced by get_para(), radioFastProg(), and set_para().

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ radioConfig()

void radioConfig | ( | int | s | ) |

Definition at line 36 of file rdwrapc220.ino.

References apc220(), enPin, ENPIN12, ENPIN7, FIVEV, radioOn(), and shieldID.

Referenced by setupShield().

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ radioOff()

void radioOff | ( |  | ) |

Definition at line 29 of file rdwrapc220.ino.

References enPin.

## ◆ radioOn()

void radioOn | ( |  | ) |

Definition at line 22 of file rdwrapc220.ino.

References enPin.

Referenced by radioConfig().

Here is the caller graph for this function:

## ◆ radioPrint()

void radioPrint | ( | char | x[] | ) |

Definition at line 96 of file rdwrapc220.ino.

References apc220(), and shieldID.

Referenced by set_para().

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ radioPrintln()

void radioPrintln | ( | char | x[] | ) |

Definition at line 88 of file rdwrapc220.ino.

References apc220(), and shieldID.

Referenced by get_para(), radioFastProg(), and set_para().

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ radioRead()

int radioRead | ( |  | ) |

Definition at line 115 of file rdwrapc220.ino.

References apc220(), and shieldID.

Referenced by get_para(), radioFastProg(), and set_para().

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ radioWrite()

void radioWrite | ( | char | x[] | ) |

Definition at line 79 of file rdwrapc220.ino.

References apc220(), and shieldID.

Referenced by beacons(), and setup().

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ radioWriteCh()

void radioWriteCh | ( | char | x | ) |

Definition at line 70 of file rdwrapc220.ino.

References apc220(), and shieldID.

Here is the call graph for this function: